/*
 * Borrowed from: http://ftp.samba.org/pub/unpacked/samba_3_current/librpc/idl/eventlog.idl
 * Modified for Likewise by Spectra Logic
 *
 * Samba IDL License:
 * Permission to use, copy, modify, and distribute these interface
 *  definitions for any purpose is hereby granted without fee.
 * 
 *  This work is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */


#ifndef _WINEVENTLOG_IDL_
#define _WINEVENTLOG_IDL_

[ 
  uuid(82273fdc-e32a-18c3-3f78-827929dc23ea),
  pointer_default(unique),
  version(0.0)
]

interface wineventlog
{
cpp_quote("#ifdef DCERPC_STUB_BUILD")
#include <lw/wineventlog.h>

cpp_quote("#else")
cpp_quote("#include <lw/wineventlog.h>")

cpp_quote("#endif /* DCERPC_STUB_BUILD */")

	void _eventlog_Function0x00();
	void _eventlog_Function0x01();
	void _eventlog_Function0x02();
	void _eventlog_Function0x03();
	void _eventlog_Function0x04();
	void _eventlog_Function0x05();
	void _eventlog_Function0x06();
	void _eventlog_Function0x07();
	void _eventlog_Function0x08();
	void _eventlog_Function0x09();
	void _eventlog_Function0x0a();
	void _eventlog_Function0x0b();
	void _eventlog_Function0x0c();
	void _eventlog_Function0x0d();
	void _eventlog_Function0x0e();
	void _eventlog_Function0x0f();
	void _eventlog_Function0x10();
	void _eventlog_Function0x11();
	void _eventlog_Function0x12();
	void _eventlog_Function0x13();
	void _eventlog_Function0x14();
	void _eventlog_Function0x15();
	void _eventlog_Function0x16();
	void _eventlog_Function0x17();
	void _eventlog_Function0x18();
}

#endif /* _EVENTLOG_IDL_ */

